From 5e9d03d507aad324a803eb8795e0eed6fb671761 Mon Sep 17 00:00:00 2001
From: guowenxue <guowenxue@gmail.com>
Date: Mon, 10 Jul 2023 15:24:52 +0800
Subject: [PATCH] Merge branch 'master' of http://master.iot-yun.club:8088/r/raspberrypi

---
 3rdparty/build.sh |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

diff --git a/3rdparty/build.sh b/3rdparty/build.sh
new file mode 100755
index 0000000..210ca38
--- /dev/null
+++ b/3rdparty/build.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+ARCH=`uname -m` 
+
+function msg_banner()
+{
+    echo ""
+    echo "+-----------------------------------------------------------------------"
+    echo "|  $1 "
+    echo "+-----------------------------------------------------------------------"
+    echo ""
+}
+
+echo ${ARCH} | grep "arm" > /dev/null 
+if [ $? == 0 ] ; then 
+   msg_banner "Start local compile on RaspberryPi..."   
+   cd arm && bash build.sh
+   exit 0;
+fi 
+
+echo ${ARCH} | grep "x86" > /dev/null 
+if [ $? == 0 ] ; then 
+   msg_banner "Start cross compile on x86 server..."   
+   cd x86 && bash build.sh
+   exit 0;
+fi 
+
+

--
Gitblit v1.9.1